%define upstream_name    DBD-Sybase
%define upstream_version 1.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Sybase database driver for the DBI module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/~mewp/DBD-Sybase/
Source0:    http://search.cpan.org/CPAN/authors/id/M/ME/MEWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: freetds-devel
BuildRequires: gettext-devel
BuildRequires: perl-DBI >= 1.00
BuildRequires: perl-devel
%description
DBD::Sybase is a Perl module which works with the DBI module to provide access
to Sybase databases. With FreeTDS DBD::Sybase can be also used to query a
MS-SQL 7 or 2000 database server from a UNIX/Linux host.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export SYBASE=%{_prefix}
echo -e "\n\n\n\n\n\n" | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}" LD_RUN_PATH=""

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES CONFIG META.yml README eg
%{perl_vendorarch}/DBD/Sybase.pm
%{perl_vendorarch}/DBD/dbd-sybase.pod
%dir %{perl_vendorarch}/auto/DBD/Sybase
%attr(0755,root,root) %{perl_vendorarch}/auto/DBD/Sybase/Sybase.so
%{_mandir}/man3/*

%changelog

* Thu Oct 13 2011 jquelin <jquelin> 1.140.0-1.mga2
+ Revision: 154587
- update to 1.14

* Fri Sep 16 2011 takashi <takashi> 1.130.0-1.mga2
+ Revision: 144206
- update to 1.13

* Wed Jun 15 2011 jquelin <jquelin> 1.120.0-1.mga2
+ Revision: 107798
- update to 1.12

* Sat Jun 11 2011 sander85 <sander85> 1.110.0-3.mga2
+ Revision: 104146
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.110.0-2.mga1
+ Revision: 32733
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 30034
- mageia rebuild
- imported package perl-DBD-Sybase


* Wed Nov 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.110.0-1mdv2011.0
+ Revision: 595602
- update to new version 1.11

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2010.1
+ Revision: 536457
- update to 1.10 (remove mdv patches)

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.90.0-1mdv2010.0
+ Revision: 403094
- rebuild using %%perl_convert_version

* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.09-1mdv2009.0
+ Revision: 289562
- fix deps
- try to fix build
- import perl-DBD-Sybase


* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.09-1mdv2009.0
- initial Mandriva package
